# std::shared_lock::swap

From cppreference.com
< cpp‎ | thread‎ | shared lock

template< class Mutex > void swap( shared_lock<Mutex>& other ); |  | (since C++14)

Exchanges the internal states of the lock objects.

### Parameters

other | - | the lock to swap the state with

### Return value

(none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

### See also

std::swap(std::shared_lock) | specialization of std::swap for `shared_lock` (function template)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/thread/shared_lock/swap&oldid=91851"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template